package se.su.dsv.scipro.activityplan;

import se.su.dsv.scipro.file.FileDescription;

public class ActivityFileUploadedEvent {
    private final Activity activity;
    private final FileDescription fileDescription;

    public ActivityFileUploadedEvent(final Activity activity, final FileDescription fileDescription) {
        this.activity = activity;
        this.fileDescription = fileDescription;
    }

    public Activity getActivity() {
        return activity;
    }

    public FileDescription getFileDescription() {
        return fileDescription;
    }
}
