package se.su.dsv.scipro.activityplan;

import se.su.dsv.scipro.checklist.ChecklistTemplate;
import se.su.dsv.scipro.system.AbstractServiceImpl;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;
import java.util.List;

public class ActivityTemplateServiceImpl extends AbstractServiceImpl<ActivityTemplate,Long> implements ActivityTemplateService {
    @Inject
    public ActivityTemplateServiceImpl(Provider<EntityManager> em) {
        super(em, ActivityTemplate.class, QActivityTemplate.activityTemplate);
    }

    @Override
    public List<ActivityTemplate> findByChecklistTemplate(ChecklistTemplate checklistTemplate) {
        return findAll(QActivityTemplate.activityTemplate.checklistTemplate.eq(checklistTemplate));
    }
}
