package se.su.dsv.scipro.finalseminar;

import lombok.Getter;
import lombok.Setter;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.GenericService;
import se.su.dsv.scipro.system.User;

import java.io.Serializable;
import java.util.List;

public interface FinalSeminarOppositionService extends GenericService<FinalSeminarOpposition, Long> {

    List<FinalSeminarOpposition> findAll(FilterParams params);

    @Override
    void delete(Long aLong);

    @SuppressWarnings({"PMD.UnusedPrivateField", "UnusedDeclaration"})
    @Getter
    @Setter
    class FilterParams implements Serializable {
        private User student;
        private Project project;
        private FinalSeminar finalSeminar;
    }
}
