package se.su.dsv.scipro.forummail;

import se.su.dsv.scipro.system.GenericRepo;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

class ForumMailRepositoryImpl extends GenericRepo<ForumMail, Long> implements ForumMailRepository {
    @Inject
    ForumMailRepositoryImpl(final Provider<EntityManager> em) {
        super(em, ForumMail.class, QForumMail.forumMail);
    }

    @Override
    public ForumMail findByMessageID(String messageID) {
        return findOne(QForumMail.forumMail.mailEvent.messageID.eq(messageID));
    }
}
