package se.su.dsv.scipro.integration.activityfinalseminar;

import scala.Option;
import se.su.dsv.scipro.finalseminar.FinalSeminar;
import se.su.dsv.scipro.system.GenericRepo;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class ActivityFinalSeminarRepositoryImpl extends GenericRepo<ActivityFinalSeminar, Long> implements ActivityFinalSeminarRepository {

    @Inject
    ActivityFinalSeminarRepositoryImpl(Provider<EntityManager> em) {
        super(em, ActivityFinalSeminar.class, QActivityFinalSeminar.activityFinalSeminar);
    }

    @Override
    public Option<ActivityFinalSeminar> findByFinalSeminar(final FinalSeminar finalSeminar) {
        return Option.apply(findOne(QActivityFinalSeminar.activityFinalSeminar.finalSeminar.eq(finalSeminar)));
    }
}
