package se.su.dsv.scipro.mail;

import se.su.dsv.scipro.file.FileDescriptionService;

import javax.inject.Inject;
import javax.mail.Session;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;

class Mail extends SMTPMailer {

    @Inject
    Mail(final Session session, FileDescriptionService fileDescriptionService) {
        super(session, fileDescriptionService);
    }

    @Override
    InternetAddress[] getRecipients(final String[] recipients) throws AddressException {
        InternetAddress[] addressTo = new InternetAddress[recipients.length];
        for (int i = 0; i < recipients.length; i++) {
            addressTo[i] = new InternetAddress(recipients[i]);
        }
        return addressTo;
    }
}
