package se.su.dsv.scipro.match;

import java.io.Serializable;

public class TargetResult implements Serializable {
    private final Target target;
    private final long submittedAndTaken;

    public TargetResult(final Target target, final Long submittedAndTaken) {
        this.target = target;
        this.submittedAndTaken = submittedAndTaken;
    }

    public Target getTarget() {
        return target;
    }

    public long getSubmittedAndTaken() {
        return submittedAndTaken;
    }
}
