package se.su.dsv.scipro.milestones.service;

import org.springframework.data.domain.Sort;
import se.su.dsv.scipro.milestones.dataobjects.MilestonePhaseTemplate;
import se.su.dsv.scipro.springdata.SortOrderService;

import java.util.Date;
import java.util.List;

public interface MilestonePhaseTemplateService extends SortOrderService<MilestonePhaseTemplate> {

    List<MilestonePhaseTemplate> findAll(Sort sort);

    List<MilestonePhaseTemplate> findAllActive(Date projectStartDate);

    <S extends MilestonePhaseTemplate> S save(S phase);

}
