package se.su.dsv.scipro.security.auth;

import com.google.inject.AbstractModule;
import com.google.inject.multibindings.Multibinder;

public class AuthenticationModule extends AbstractModule {
    @Override
    protected void configure() {
        bind(AuthenticationService.class).to(AuthenticationServiceImpl.class);

        Multibinder<AuthenticationProvider> authenticationProviders
                = Multibinder.newSetBinder(binder(), AuthenticationProvider.class);
        authenticationProviders.addBinding().to(LocalAuthentication.class);
    }
}
