package se.su.dsv.scipro.springdata.serviceimpls;

import se.su.dsv.scipro.springdata.services.UnitService;
import se.su.dsv.scipro.system.AbstractServiceImpl;
import se.su.dsv.scipro.system.QUnit;
import se.su.dsv.scipro.system.Unit;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;
import java.util.List;

public class UnitServiceImpl extends AbstractServiceImpl<Unit,Long> implements UnitService {
    @Inject
    public UnitServiceImpl(Provider<EntityManager> em) {
        super(em, Unit.class, QUnit.unit);
    }

    @Override
    public Unit findByIdentifier(Long identifier) {
        return findOne(QUnit.unit.identifier.eq(identifier));
    }

    @Override
    public List<Unit> findAllAsList() {
        return findAll();
    }
}
