package se.su.dsv.scipro.springdata.services;

import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.settings.dataobjects.UserProfile;
import se.su.dsv.scipro.system.GenericService;
import se.su.dsv.scipro.system.User;

import java.util.List;

public interface UserProfileService extends GenericService<UserProfile, Long> {
    UserProfile findByUser(User user);

    boolean isReceiveForumMail(User user);
    void setReceiveForumMail(User user, boolean receive);
    List<User> findUsersWithMailCompilation();
    Roles findSelectedRole(User user);
    void setSelectedRole(User user, Roles role);
    boolean isExpandChecklistOverview(User user);
    void setExpandChecklistOverview(User user, boolean expand);
}
