package se.su.dsv.scipro.system;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.ToString;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;

@Entity
@Getter
@ToString
@EqualsAndHashCode(of = {"name"})
@SuppressWarnings("PMD.UnusedPrivateField")
public class Event implements Serializable {
    @Id
    private String name;

    @Basic
    private String description;

    protected Event() {
    }
}
