CREATE TABLE `user_program` (
  `user_id` BIGINT(20) NOT NULL,
  `program_id` BIGINT(20) NOT NULL,
  PRIMARY KEY (`user_id`, `program_id`),
  CONSTRAINT `user_program_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  CONSTRAINT `user_program_program_id` FOREIGN KEY (`program_id`) REFERENCES `Program` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `user_program` (`user_id`, `program_id`)
    SELECT `user`.`id`, `role_Program`.`programs_id`
    FROM `role_Program`
    INNER JOIN `role` ON `role`.`id` = `role_Program`.`role_id`
    INNER JOIN `user` ON `user`.`id` = `role`.`user_id`;
