CREATE TABLE `user_research_area` (
  `user_id` BIGINT(20) NOT NULL,
  `research_area_id` BIGINT(20) NOT NULL,
  PRIMARY KEY (`user_id`, `research_area_id`),
  CONSTRAINT `user_research_area_user_id` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  CONSTRAINT `user_research_area_research_area_id` FOREIGN KEY (`research_area_id`) REFERENCES `researcharea` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `user_research_area` (`user_id`, `research_area_id`)
  SELECT `user`.`id`, `employee_researcharea`.`researchAreas_id`
  FROM `employee_researcharea`
    INNER JOIN `role` ON `role`.`id` = `employee_researcharea`.`role_id`
    INNER JOIN `user` ON `user`.`id` = `role`.`user_id`;
