CREATE TABLE `department_service` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` DATETIME NOT NULL,
  `lastModified` DATETIME NOT NULL,
  `version` int(11) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `dateStarted` DATETIME NOT NULL,
  `dateEnded` DATETIME NOT NULL,
  `hours` INT NOT NULL,
  `description` LONGTEXT DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `department_service_user` (`user_id`),
  CONSTRAINT `department_service_user` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;