CREATE TABLE `forum_mail` (
  `id`           BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `dateCreated`  DATETIME   NOT NULL,
  `lastModified` DATETIME   NOT NULL,
  `version`      INT(11)    NOT NULL,
  `mailEvent_id` BIGINT(20) NOT NULL,
  `user_id`      BIGINT(20) NOT NULL,
  `thread_id`    BIGINT(20) NOT NULL,
  CONSTRAINT `FK_forum_mail_mail_event` FOREIGN KEY (`mailEvent_id`) REFERENCES `mail_event` (`id`),
  CONSTRAINT `FK_forum_mail_user` FOREIGN KEY (`user_id`) REFERENCES `user` (`id`),
  CONSTRAINT `FK_forum_mail_thread` FOREIGN KEY (`thread_id`) REFERENCES `thread` (`id`)
) ENGINE = InnoDB DEFAULT CHARSET = utf8;
