CREATE TABLE IF NOT EXISTS `note` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  `content` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT = 1;

ALTER TABLE `note` ADD CONSTRAINT FOREIGN KEY (`user_id`) REFERENCES `user` (`id`);