ALTER TABLE Activity ADD COLUMN checklist_id BIGINT;
UPDATE checklist A, Activity B  SET B.checklist_id  = A.id WHERE B.id = A.activity_id;
ALTER TABLE checklist DROP FOREIGN KEY  FK_checkList_activity;
ALTER TABLE checklist DROP INDEX UK_checkList_activity;
ALTER TABLE Activity ADD UNIQUE INDEX UK_activity_checkList (checklist_id);
ALTER TABLE Activity ADD CONSTRAINT FK_activity_checkList FOREIGN KEY (checklist_id) REFERENCES checklist(id) ON DELETE RESTRICT  ON UPDATE RESTRICT;
ALTER TABLE checklist DROP COLUMN activity_id;
ALTER TABLE checklist ADD project_id BIGINT;
UPDATE checklist A, Activity B, ActivityPlan C, project D  SET A.project_id  = D.id
      WHERE A.id = B.checklist_id AND B.activityTemplate_id = C.id AND C.project_id = D.id;
ALTER TABLE checklist ADD INDEX I_checkList_activity (project_id);
ALTER TABLE checklist ADD CONSTRAINT FK_checklist_project  FOREIGN KEY (project_id) REFERENCES project(id) ON DELETE RESTRICT  ON UPDATE RESTRICT;
