ALTER TABLE `Decision` ADD COLUMN `deadline` DATETIME DEFAULT NULL;

UPDATE `Decision` SET `deadline` = DATE_ADD(`requested`, INTERVAL (SELECT `roughDraftApproval` FROM `reviewer_deadline_settings`) DAY)
  WHERE `reviewerApproval_id` IN (SELECT `id` FROM `ReviewerApproval` WHERE `type` = 'RoughDraftApproval');
UPDATE `Decision` SET `deadline` = DATE_ADD(`requested`, INTERVAL (SELECT `finalSeminarApproval` FROM `reviewer_deadline_settings`) DAY)
  WHERE `reviewerApproval_id` IN (SELECT `id` FROM `ReviewerApproval` WHERE `type` = 'FinalSeminarApproval');
UPDATE `Decision` SET `deadline` = DATE_ADD(`deadline`, INTERVAL 2 DAY) WHERE WEEKDAY(`requested`) = 4;
UPDATE `Decision` SET `deadline` = DATE_ADD(`deadline`, INTERVAL 1 DAY) WHERE WEEKDAY(`requested`) = 5;
UPDATE `Decision` SET `deadline` = DATE_ADD(`deadline`, INTERVAL 2 DAY) WHERE WEEKDAY(`deadline`) <= WEEKDAY(`requested`) AND WEEKDAY(`requested`) < 4;
UPDATE `Decision` SET `deadline` = DATE_ADD(`deadline`, INTERVAL 2 DAY) WHERE WEEKDAY(`deadline`) = 5 OR WEEKDAY(`deadline`) = 6;
update Decision set deadline = DATE_ADD(deadline, interval 2 day) where requested < '2015-04-07' and deadline >= '2015-04-03';
update Decision set deadline = DATE_ADD(deadline, interval 1 day) where requested < '2015-05-02' and deadline >= '2015-05-01';
update Decision set deadline = DATE_ADD(deadline, interval 2 day) where requested < '2015-05-16' and deadline >= '2015-05-14';
UPDATE `Decision` SET `deadline` = DATE_ADD(`deadline`, INTERVAL 2 DAY) WHERE WEEKDAY(`deadline`) = 5 OR WEEKDAY(`deadline`) = 6;
