package se.su.dsv.scipro.grading

import javax.inject.Provider
import javax.persistence.EntityManager

import com.mysema.query.jpa.impl.JPAQuery
import com.mysema.query.types.EntityPath

trait Count {

  val em: Provider[EntityManager]

  val path: EntityPath[_]

  private def from(paths: EntityPath[_]*): JPAQuery = {
    new JPAQuery(em.get).from(paths:_*)
  }

  protected def createQuery: JPAQuery = {
    from(path)
  }

  def count: Long = {
    createQuery.count
  }
}
