drop table notification_settings;

alter table user_settings drop column notificationPriority;

drop table projectIdea_Employee;

CREATE TABLE IF NOT EXISTS `SupervisorNotificationSettings` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `mailNotifyConferenceComment` bit(1) NOT NULL,
  `mailNotifyConferencePost` bit(1) NOT NULL,
  `mailPeerReviewAborted` bit(1) NOT NULL,
  `mailPeerReviewCompleted` bit(1) NOT NULL,
  `employee_id` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `FK5863DDD65FCBC05F` (`employee_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=14 ;

ALTER TABLE `SupervisorNotificationSettings`
  ADD CONSTRAINT `FK5863DDD65FCBC05F` FOREIGN KEY (`employee_id`) REFERENCES `role` (`id`);