package se.su.dsv.scipro.admin.pages;

import se.su.dsv.scipro.components.AbstractMenuPanel;

import java.util.ArrayList;
import java.util.List;

public abstract class AbstractAdminMailPage extends AbstractAdminPage {
    protected AbstractAdminMailPage() {
        add(new AbstractMenuPanel("menuPanel", AbstractAdminMailPage.class, this.getClass()){
            @Override
            protected List<MenuItem> getItemList() {
                final List<MenuItem> items = new ArrayList<>();
                items.add(new MenuItem("Compose", AdminMailPage.class));
                items.add(new MenuItem("Log", AdminMailLogPage.class));
                return items;
            }

            @Override
            protected MenuType getMenuType() {
                return MenuType.HORIZONTAL;
            }

        });
    }
}
