package se.su.dsv.scipro.components;

import org.apache.wicket.markup.html.form.RadioChoice;
import org.apache.wicket.model.Model;
import se.su.dsv.scipro.data.enums.MailChoice;

import java.util.Arrays;

public class ProjectMailChoiceNew extends RadioChoice<MailChoice> {
	
	public ProjectMailChoiceNew(String id) {
		super(id);
		initChoices();
		setModel(Model.of(MailChoice.THESIS_SUPPORT));
	}

    private void initChoices() {
		setChoices(Arrays.asList(
				MailChoice.THESIS_SUPPORT,
				MailChoice.AUTHORS_ACTIVE_PROJECT,
				MailChoice.ACTIVE_SUPERVISORS,
				MailChoice.ACTIVE_CO_SUPERVISORS, 
				MailChoice.ACTIVE_REVIEWERS,
				MailChoice.ALL_FOLLOWERS 
				));
	}

}
