package se.su.dsv.scipro.examiner.pages;

import org.apache.wicket.request.mapper.parameter.PageParameters;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(authorizedRoles = {Roles.EXAMINER})
public class ExaminerStartPage extends ExaminerPage {
    public static final String MAIN_MENU_LABEL = "Examiner";

    public ExaminerStartPage(PageParameters pp) {
        super(pp);
    }
}