package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.markup.html.WebMarkupContainer;
import org.apache.wicket.markup.html.basic.MultiLineLabel;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.StringResourceModel;

public class SeminarCancelledInfoPanel extends Panel {
    public SeminarCancelledInfoPanel(String id, final IModel<FinalSeminar> model) {
        super(id, model);
        WebMarkupContainer cancelled = new WebMarkupContainer(CANCELLED){
            @Override
            protected void onConfigure(){
                setVisibilityAllowed(model.getObject().isDeleted());
            }
        };
        add(cancelled);
        cancelled.add(new MultiLineLabel(CANCELLED_INFO, new StringResourceModel(CANCELLED_INFO, this, null)));
    }
    static final String CANCELLED = "cancelled";
    static final String CANCELLED_INFO = "cancelledInfo";
}
