package se.su.dsv.scipro.peer;

import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminPeer;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;
import se.su.dsv.scipro.statistics.AbstractAdminStatisticsPage;

@Authorization(authorizedRoles = {Roles.ADMIN})
public class AdminPeerReviewStatusStatisticsPage extends AbstractAdminStatisticsPage implements MenuHighlightAdminPeer {

    public static final boolean IS_SUPERVISOR_VIEW = false;

    public AdminPeerReviewStatusStatisticsPage(PeerReviewService.Filter filter) {
        add(new PeerReviewStatusStatisticsPanel("details", filter, IS_SUPERVISOR_VIEW));
    }
}
