package se.su.dsv.scipro.supervisor.pages;

import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorMilestoneStatistics;
import se.su.dsv.scipro.milestones.dataobjects.MilestoneActivityTemplate;
import se.su.dsv.scipro.milestones.service.MileStoneService;
import se.su.dsv.scipro.statistics.ProjectMilestoneDetailsPanel;

public class SupervisorProjectMilestoneDetailsPage extends AbstractSupervisorAllProjectsPage implements MenuHighlightSupervisorMilestoneStatistics {

    public SupervisorProjectMilestoneDetailsPage(IModel<MilestoneActivityTemplate> model, MileStoneService.Filter filter) {
        super();
        add(new ProjectMilestoneDetailsPanel("details", model, filter));
    }
}
