package se.su.dsv.scipro.admin.panels;

import org.apache.wicket.extensions.markup.html.basic.SmartLinkMultiLineLabel;
import org.apache.wicket.model.Model;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.mail.MailEvent;
import se.su.dsv.scipro.test.ObjectMother;

public class AdminViewMailPanelTest extends SciProTest {
    AdminViewMailPanel panel;

    private void startPanel() throws Exception {
        panel = tester.startComponentInPage(new AdminViewMailPanel("any", new Model<>(new MailEvent("subject", "body", ObjectMother.SOME_USER, "", ""))));
    }

    @Test
    public void has_mail_content() throws Exception {
        startPanel();
        tester.assertComponent(path(panel, "mailContent"), SmartLinkMultiLineLabel.class);
    }
}
