package se.su.dsv.scipro.finalseminar;

import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.components.ExportableDataPanel;

public class AdminFinalSeminarDataPanelTest extends SciProTest {

    private AdminFinalSeminarDataPanel panel;

    @Before
    public void setUp() throws Exception {
        panel = tester.startComponentInPage(AdminFinalSeminarDataPanel.class);
    }

    @Test
    public void testRenders() throws Exception {
        tester.assertNoErrorMessage();
    }

    @Test
    public void testContainsDataTablePanel() throws Exception {
    	tester.assertComponent(path(panel.getId(), AdminFinalSeminarDataPanel.DATA_TABEL), ExportableDataPanel.class);
    }

}
