package se.su.dsv.scipro.match;

import org.junit.Before;
import org.junit.Test;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.components.ExportableDataPanel;
import se.su.dsv.scipro.system.User;

public class ProjectMyIdeasPanelTest extends SciProTest {
    ProjectMyIdeasPanel panel;

    @Before
    public void setUp() throws Exception {
        panel = tester.startComponentInPage(new ProjectMyIdeasPanel("panel", new User()));
    }

    @Test
    public void testRenders() throws Exception {
        tester.assertNoErrorMessage();
    }

    @Test
    public void testContainsDataTablePanel() throws Exception {
    	tester.assertComponent(path(panel.getId(), ProjectMyIdeasPanel.DATA_TABLE), ExportableDataPanel.class);
    }
}
