package se.su.dsv.scipro.data.enums;

public enum MailChoice {
	THESIS_SUPPORT("Thesis support"),
	AUTHORS_ACTIVE_PROJECT("Authors with active projects"),
	ACTIVE_SUPERVISORS("Head supervisors with active projects"),
	ACTIVE_CO_SUPERVISORS("Co-supervisors with active projects"),
	ACTIVE_REVIEWERS("Reviewers of active projects"),
	ALL_FOLLOWERS("All supervisors and reviewers of active projects"),
	AUTHORS_SUBMITTED_IDEA("Authors with submitted ideas"),
	AUTHORS_MATCHED_IDEA("Authors with matched ideas"),
	SUPERVISORS_MATCHED_IDEA("Supervisors with matched ideas"),
	SUPERVISORS_SUBMITTED_IDEA("Supervisors with submitted ideas");
	
	private String asString;

    MailChoice(String asString) {
        this.asString = asString;
    }

	@Override
	public String toString() {
		return asString;
	}
    
    
}
