package se.su.dsv.scipro.finalseminar;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import se.su.dsv.scipro.project.Project;

import javax.persistence.Cacheable;
import javax.persistence.Entity;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Cacheable(true)
@Table(name = "final_seminar_active_participation")
@EqualsAndHashCode(callSuper = true)
@SuppressWarnings("PMD.UnusedPrivateField")
public class FinalSeminarActiveParticipation extends FinalSeminarParticipation {

    @ManyToOne(optional = false)
    @Getter
    @Setter
    private Project project;

}
