package se.su.dsv.scipro.finalseminar;

import se.su.dsv.scipro.system.AbstractServiceImpl;
import se.su.dsv.scipro.system.User;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

public class FinalSeminarActiveParticipationServiceImpl extends AbstractServiceImpl<FinalSeminarActiveParticipation, Long> implements FinalSeminarActiveParticipationService {

    @Inject
    public FinalSeminarActiveParticipationServiceImpl(Provider<EntityManager> em) {
        super(em, FinalSeminarActiveParticipation.class, QFinalSeminarActiveParticipation.finalSeminarActiveParticipation);
    }

    @Override
    public FinalSeminarActiveParticipation findByFinalSeminarUser(FinalSeminar finalSeminar,User user){

        for (FinalSeminarActiveParticipation fsap : finalSeminar.getActiveParticipations()) {
            if(fsap.getUser().equals(user)){
                return fsap;
            }
        }
        return  null;
    }

}
