package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.forum.dataobjects.ForumThread;
import se.su.dsv.scipro.forum.dataobjects.QForumThread;
import se.su.dsv.scipro.system.GenericRepo;

import javax.inject.Inject;
import javax.inject.Provider;
import javax.persistence.EntityManager;

class AbstractThreadRepositoryImpl extends GenericRepo<ForumThread, Long> implements AbstractThreadRepository {

    @Inject
    AbstractThreadRepositoryImpl(Provider<EntityManager> em) {
        super(em, ForumThread.class, QForumThread.forumThread);
    }
}
