package se.su.dsv.scipro.forum;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.forum.dataobjects.ForumThread;
import se.su.dsv.scipro.system.User;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

public interface BasicForumService extends Serializable {

    ForumPost createReply(ForumThread forumThread, User poster, String content, Set<FileDescription> attachments);

    boolean setRead(User user, ForumPost post, boolean read);

    boolean setThreadRead(User user, ForumThread forumThread, boolean read);

    boolean isRead(User user, ForumPost post);

    boolean isThreadRead(User user, ForumThread forumThread);

    List<ForumPost> getPosts(ForumThread forumThread);

    ForumThread createThread(String subject);

}
