package se.su.dsv.scipro.forummail;

import java.util.Collection;

public class ForumMailMessage {
    private final String inReplyTo;
    private final String mailBody;
    private final Collection<MailAttachment> attachments;

    public ForumMailMessage(String inReplyTo, String mailBody, final Collection<MailAttachment> attachments) {
        this.inReplyTo = inReplyTo;
        this.mailBody = mailBody;
        this.attachments = attachments;
    }

    public String getInReplyTo() {
        return inReplyTo;
    }

    public String getMailBody() {
        return mailBody;
    }

    public Collection<MailAttachment> getAttachments() {
        return attachments;
    }
}
