package se.su.dsv.scipro.mail;

import lombok.EqualsAndHashCode;
import lombok.ToString;

@ToString
@EqualsAndHashCode
public class EmailRecipient implements Recipient {
    private final String email;

    public EmailRecipient(final String email) {
        this.email = email;
    }

    public String getEmail() {
        return email;
    }

    @Override
    public <T> T accept(final RecipientVisitor<T> visitor) {
        return visitor.visit(this);
    }
}
