package se.su.dsv.scipro.report;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import se.su.dsv.scipro.file.FileDescription;

import javax.persistence.CascadeType;
import javax.persistence.MappedSuperclass;
import javax.persistence.OneToOne;


@EqualsAndHashCode(callSuper = true)
@MappedSuperclass
@SuppressWarnings({"PMD.UnusedPrivateField", "PMD.SingularField", "PMD.AbstractClassWithoutAnyMethod"})
public abstract class AttachmentReport extends Report {

    @OneToOne(optional = true, cascade = CascadeType.ALL)
    @Getter
    @Setter
    private FileDescription attachment;
}
