package se.su.dsv.scipro.reviewing;

import se.su.dsv.scipro.file.FileDescription;
import se.su.dsv.scipro.forum.dataobjects.ForumPost;
import se.su.dsv.scipro.forum.dataobjects.ReviewerThread;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.system.User;

import java.util.List;
import java.util.Set;

public interface ReviewerInteractionService {
    ReviewerThread getReviewerThread(Project project);
    List<ForumPost> getPosts(Project project);
    ForumPost reply(Project project, User user, String content, Set<FileDescription> attachments);
    void markAllRead(User user, Project project);
}
