package se.su.dsv.scipro.system;

import com.google.inject.persist.Transactional;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.querydsl.QueryDslPredicateExecutor;
import scala.Option;

import java.util.List;

@Transactional
public interface FooterLinkRepo extends JpaRepository<FooterLink, Long>, QueryDslPredicateExecutor<FooterLink> {
    List<FooterLink> getLinks(FooterColumn column);
    Option<FooterLink> findByColumnAndOrder(FooterColumn column, int order);
}
