ALTER TABLE `user_languages` ADD COLUMN `language_id` BIGINT(20) NOT NULL;
UPDATE `user_languages` SET `language_id` = (SELECT `id` FROM `Language` WHERE UPPER(`name`) = UPPER(`user_languages`.`languages`));
ALTER TABLE `user_languages` ADD CONSTRAINT `FK_user_languages_language` FOREIGN KEY (`language_id`) REFERENCES `Language` (`id`);
ALTER TABLE `user_languages` DROP COLUMN `languages`;