DROP TABLE IF EXISTS project_checklist;
ALTER TABLE ActivityPlan DROP INDEX FK8F8BE4FDC1813915;
ALTER TABLE ActivityPlan DROP INDEX UK_86kwi5nttd0rkmu2nvxgdx984;
ALTER TABLE ActivityPlan DROP INDEX FK_86kwi5nttd0rkmu2nvxgdx984 ;
ALTER TABLE ActivityPlan DROP FOREIGN KEY  FK_86kwi5nttd0rkmu2nvxgdx984 ;
ALTER TABLE ActivityPlan ADD CONSTRAINT fk_ActivityPlan_project_B FOREIGN KEY (project_id) REFERENCES project(id) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE Activity DROP FOREIGN KEY  activityTemplate_id_index ;
ALTER TABLE Activity ADD CONSTRAINT FK_Activity_ActivityPlan FOREIGN KEY (activityTemplate_id) REFERENCES ActivityPlan(id) ON DELETE CASCADE ON UPDATE RESTRICT;
ALTER TABLE Activity DROP FOREIGN KEY fileUpload_id_index;
ALTER TABLE Activity ADD CONSTRAINT FK_Activity_file_description FOREIGN KEY (fileUpload_id) REFERENCES file_description(id) ON DELETE SET NULL ON UPDATE RESTRICT;
ALTER TABLE checklist ADD COLUMN activity_id BIGINT;
UPDATE checklist A, Activity B  SET A.activity_id = B.id WHERE A.id = B.checkList_id;
ALTER TABLE Activity DROP FOREIGN KEY checkList_id_index;
ALTER TABLE Activity DROP INDEX checkList_id_index;
ALTER TABLE Activity DROP COLUMN checkList_id;
ALTER TABLE checklist ADD UNIQUE INDEX UK_checkList_activity (activity_id);
ALTER TABLE checklist ADD CONSTRAINT FK_checkList_activity FOREIGN KEY (activity_id) REFERENCES Activity(id) ON DELETE SET NULL ON UPDATE RESTRICT;
ALTER TABLE checklist DROP FOREIGN KEY FK17CCD1A6C1813915;
ALTER TABLE checklist DROP COLUMN project_id;