CREATE TABLE `report` (
  `id` BIGINT(20) NOT NULL PRIMARY KEY AUTO_INCREMENT,
  `submitted` BOOLEAN NOT NULL DEFAULT FALSE
) ENGINE = InnoDB DEFAULT CHARACTER SET = utf8;

DELETE FROM `preliminary_grading_criterion`;
DELETE FROM `preliminary_grading_report`;
DELETE FROM `opposition_criterion`;
DELETE FROM `opposition_report`;
DELETE FROM `grading_criterion`;
DELETE FROM `grading_report`;

ALTER TABLE `preliminary_grading_report` ADD CONSTRAINT FOREIGN KEY (`id`) REFERENCES `report` (`id`);
ALTER TABLE `opposition_report` ADD CONSTRAINT FOREIGN KEY (`id`) REFERENCES `report` (`id`);
ALTER TABLE `grading_report` ADD CONSTRAINT FOREIGN KEY (`id`) REFERENCES `report` (`id`);

ALTER TABLE `preliminary_grading_report` DROP COLUMN `submitted`;
ALTER TABLE `opposition_report` DROP COLUMN `submitted`;
ALTER TABLE `grading_report` DROP COLUMN `submitted`;
