package se.su.dsv.scipro.grading

import java.util.Date

import se.su.dsv.scipro.project.Project
import se.su.dsv.scipro.system.User

trait GradeService {
  def reportGrade(project: Project, reportedBy: User, reportedOn: Date, gradeValue: String): Grade
  def removeGrade(project: Project): Unit
  def getGrade(project: Project): Option[Grade]
}
