CREATE TABLE IF NOT EXISTS `notification_settings` (
  `id` bigint(20) NOT NULL,
  `dateCreated` datetime NOT NULL,
  `lastModified` datetime NOT NULL,
  `version` int(11) NOT NULL,
  `conferenceCommentPriority` int(11) NOT NULL,
  `conferencePostPriority` int(11) NOT NULL,
  `finalSeminarCreatedPriority` int(11) NOT NULL,
  `finalSeminarEditedPriority` int(11) NOT NULL,
  `finalSeminarOppositionUploadedPriority` int(11) NOT NULL,
  `finalSeminarThesisUploadedPriority` int(11) NOT NULL,
  `notifyConferenceComment` bit(1) NOT NULL,
  `notifyConferencePost` bit(1) NOT NULL,
  `notifyFinalSeminarCreated` bit(1) NOT NULL,
  `notifyFinalSeminarEdited` bit(1) NOT NULL,
  `notifyFinalSeminarOppositionUploaded` bit(1) NOT NULL,
  `notifyFinalSeminarThesisUploaded` bit(1) NOT NULL,
  `notifyPeerReviewAborted` bit(1) NOT NULL,
  `notifyPeerReviewAccepted` bit(1) NOT NULL,
  `notifyPeerReviewCompleted` bit(1) NOT NULL,
  `notifyPeerReviewRating` bit(1) NOT NULL,
  `peerReviewAbortedPriority` int(11) NOT NULL,
  `peerReviewAcceptedPriority` int(11) NOT NULL,
  `peerReviewCompletedPriority` int(11) NOT NULL,
  `peerReviewRatingPriority` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;