package se.su.dsv.scipro.components;

import org.apache.wicket.Component;
import org.apache.wicket.behavior.Behavior;

public class OppositeVisibility extends Behavior {
    private final Component opposite;

    public OppositeVisibility(Component opposite) {
        this.opposite = opposite;
    }

    @Override
    public void onConfigure(Component component) {
        super.onConfigure(component);
        opposite.configure();
        component.setVisible(!opposite.isVisibleInHierarchy());
    }
}
