package se.su.dsv.scipro.finalseminar;

import org.apache.wicket.markup.html.link.BookmarkablePageLink;
import se.su.dsv.scipro.admin.pages.AbstractAdminProjectPage;
import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightAdminFinalSeminars;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.security.auth.roles.Roles;

@Authorization(authorizedRoles = { Roles.ADMIN})
public class AdminFinalSeminarPage extends AbstractAdminProjectPage implements MenuHighlightAdminFinalSeminars {
	public AdminFinalSeminarPage() {
        add(new AdminFinalSeminarDataPanel("dp"));
        add(new BookmarkablePageLink<Void>("exemptions", AdminFinalSeminarExemptionPage.class));
	}
}
