package se.su.dsv.scipro.peer;

import se.su.dsv.scipro.components.menuhighlighting.MenuHighlightSupervisorAllPeers;
import se.su.dsv.scipro.security.auth.Authorization;
import se.su.dsv.scipro.supervisor.pages.AbstractSupervisorAllProjectsPage;

import static se.su.dsv.scipro.security.auth.roles.Roles.SUPERVISOR;

@Authorization(authorizedRoles = {SUPERVISOR})
public class SupervisorPeerReviewStatusStatisticsPage extends AbstractSupervisorAllProjectsPage implements MenuHighlightSupervisorAllPeers {

    public static final boolean IS_SUPERVISOR_VIEW = true;

    public SupervisorPeerReviewStatusStatisticsPage(PeerReviewService.Filter filter) {
        add(new PeerReviewStatusStatisticsPanel("details", filter, IS_SUPERVISOR_VIEW));
    }
}
