package se.su.dsv.scipro.supervisor.panels;

import org.apache.wicket.model.IModel;
import se.su.dsv.scipro.project.Project;
import se.su.dsv.scipro.reviewing.FinalSeminarApproval;
import se.su.dsv.scipro.reviewing.FinalSeminarApprovalService;

import javax.inject.Inject;

public class FinalSeminarApprovalPanel extends SupervisorApprovalPanel<FinalSeminarApproval> {

    @Inject
    private FinalSeminarApprovalService finalSeminarApprovalService;

    public FinalSeminarApprovalPanel(final String id, final IModel<Project> model) {
        super(id, model);
    }

    @Override
    protected FinalSeminarApprovalService getService() {
        return finalSeminarApprovalService;
    }

}
