package se.su.dsv.scipro.util;

import org.apache.wicket.behavior.AttributeAppender;
import org.apache.wicket.model.IModel;

/**
 * Add this to your component if you want to display a javascript-confirmation dialog before
 * performing some action.
 * <p/>
 * Note: add as the last thing you add to your component.
 *
 */
public class JavascriptEventConfirmation extends AttributeAppender {


    public JavascriptEventConfirmation(String event, String msg) {
        super(event, msg);
    }

    public JavascriptEventConfirmation(String event, IModel<String> model) {
        super(event, model);
    }

    @Override
    protected String newValue(final String currentValue, final String replacementValue) {
        String prefix = "var conf = confirm('" + replacementValue.replaceAll("'", "\\\\'") + "'); " +
                "if (!conf) return false; ";
        String result = prefix;
        if (currentValue != null) {
            result = prefix + currentValue;
        }
        return result;
    }
}
