package se.su.dsv.scipro.match;

import org.apache.wicket.Page;
import org.junit.Before;
import org.mockito.Mockito;
import se.su.dsv.scipro.PageTest;
import se.su.dsv.scipro.system.User;
import se.su.dsv.scipro.test.UserBuilder;

public class SupervisorIdeaSubmissionPageTest extends PageTest {
    @Before
    public void setUp() throws Exception {
        User user = new UserBuilder().create();
        setLoggedInAs(user);
        Mockito.when(userService.findOne(user.getId())).thenReturn(user);
    }

    @Override
    protected Class<? extends Page> getPage() {
        return SupervisorIdeaSubmissionPage.class;
    }
}
