package se.su.dsv.scipro.projectpartner;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Mock;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.data.facade.MailFacade;
import se.su.dsv.scipro.generalsystemsettings.GeneralSystemSettings;

import static org.mockito.Mockito.when;

public class AdminProjectPartnerPageTest extends SciProTest {
    @Mock
    private MailFacade mailFacade;

    @Before
    public void setUp() throws Exception {
        when(generalSystemSettingsService.getGeneralSystemSettingsInstance()).thenReturn(new GeneralSystemSettings());
    }

    @Test
    public void renders() throws Exception {
        tester.startPage(AdminProjectPartnerPage.class);
        tester.assertRenderedPage(AdminProjectPartnerPage.class);
    }
}
