package se.su.dsv.scipro.statistics;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Matchers;
import org.mockito.Mockito;
import se.su.dsv.scipro.SciProTest;
import se.su.dsv.scipro.components.ExportableDataPanel;
import se.su.dsv.scipro.data.enums.DateStyle;

/**
 * Created with IntelliJ IDEA.
 * User: emil-siv
 * Date: 2013-04-24
 * Time: 13:40
 */

public class AdminUnitStatisticsPanelTest extends SciProTest {

    AdminUnitStatisticsPanel panel;

    @Before
    public void setUp() throws Exception {
        Mockito.when(dateService.getFormat(Matchers.isA(DateStyle.class))).thenReturn("yyyy-mm-dd");
        panel = tester.startComponentInPage(new AdminUnitStatisticsPanel("panel"));
    }

    @Test
    public void testPanelContainsDataPanel() throws Exception {
        tester.assertComponent(path(panel.getId(), AdminUnitStatisticsPanel.TABLE), ExportableDataPanel.class);
    }

}
